## ocaml-extunix 0.0.1

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

VERSION=$(shell OASIS query version)
NAME=ocaml-extunix-$(VERSION)

.PHONY: release
release:
	git archive --prefix=$(NAME)/ v$(VERSION) | tar --delete $(NAME)/web | gzip > $(NAME).tar.gz

=== debian/changelog ===
ocaml-extunix (0.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #604065)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 20 Nov 2010 00:47:32 +0100

=== debian/control ===
Source: ocaml-extunix
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  ocaml-base-nox,
  libounit-ocaml-dev (>= 1.0.2),
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlp4
Standards-Version: 3.9.1
Homepage: http://extunix.forge.ocamlcore.org/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-extunix.git

Package: libextunix-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Extended functions for OCaml Unix module
 Thin bindings to various low-level system APIs (often non-portable)
 which are not covered by Unix module.
 .
 Example functions:
  * uname
  * statvfs
  * fsync
  * fadvise
  * fallocate
  * atfile
  * dirfd
  * eventfd
  * signalfd
  * ...

Package: libextunix-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Extended functions for OCaml Unix module
 Thin bindings to various low-level system APIs (often non-portable)
 which are not covered by Unix module.
 .
 Example functions:
  * uname
  * statvfs
  * fsync
  * fadvise
  * fallocate
  * atfile
  * dirfd
  * eventfd
  * signalfd
  * ...
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/libextunix-ocaml-dev'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-extunix 0.0.3

=== debian/changelog ===
ocaml-extunix (0.0.3-2build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:06:21 +0000

ocaml-extunix (0.0.3-2) unstable; urgency=low

  * Team upload
  * Disable extunix test on arm* and powerpc

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Aug 2011 09:49:35 +0200

ocaml-extunix (0.0.3-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #632500)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 20:27:12 +0200

ocaml-extunix (0.0.2-1) unstable; urgency=low

  * Team upload

  [ Stéphane Glondu ]
  * New upstream release
  * Add debian/watch
  * Bump Standards-Version to 3.9.2

  [ Sylvain Le Gall ]
  * Fix public-domain license for src/signalfd.c

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Jul 2011 20:53:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 export OCAMLFIND_DESTDIR
 OCAMLFIND_LDCONF=ignore
 export OCAMLFIND_LDCONF
+
+ifneq (,$(findstring $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),arm powerpc))
+   export DISABLE_EXECINFO=1
+endif
 
 %:
 	dh --with ocaml $@

## ocaml-extunix 0.0.5

=== Makefile ===
--- 
+++ 
@@ -37,10 +37,12 @@
 
 # OASIS_STOP
 
-VERSION=$(shell OASIS query version)
+VERSION=$(shell oasis query version)
 NAME=ocaml-extunix-$(VERSION)
 
 .PHONY: release
 release:
+	git tag -a -m $(VERSION) v$(VERSION)
 	git archive --prefix=$(NAME)/ v$(VERSION) | tar --delete $(NAME)/web | gzip > $(NAME).tar.gz
+	gpg -a -b $(NAME).tar.gz

=== debian/changelog ===
ocaml-extunix (0.0.5-2) unstable; urgency=low

  * Team upload.
  * Revert the following changes:
    - Use --disable-execinfo to disable execinfo test on arm* and powerpc.
    - remove 0001-Add-possibility-to-disable-execinfo-test-through-env.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Jun 2012 14:49:24 +0200

ocaml-extunix (0.0.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - remove 0002-Define-O_CLOEXEC-when-missing.patch, integrated upstream.
    - remove 0001-Add-possibility-to-disable-execinfo-test-through-env.patch.
      Upstream now provides a way to disable some tests.
  * Enable tests explicitly during confidure phase using --enable-tests.
  * Use --disable-execinfo to disable execinfo test on arm* and powerpc.
  * Fix lintian's duplicate-short-description.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Jun 2012 12:54:54 +0200

ocaml-extunix (0.0.4-2) unstable; urgency=low

  * Team upload.
  * Fix FTBFS on kfreebsd-*
    - add 0002-Define-O_CLOEXEC-when-missing.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 14:00:02 +0200

ocaml-extunix (0.0.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #675505)
    - Rebase patches
  * Install extunix.cmxs, when available
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 05 Jun 2012 17:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   dh-ocaml (>= 0.9~),
   debhelper (>= 7.0.50~),
   camlp4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://extunix.forge.ocamlcore.org/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-extunix.git
@@ -22,7 +22,7 @@
 Depends: ${ocaml:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: Extended functions for OCaml Unix module
+Description: Extended functions for OCaml Unix module (development package)
  Thin bindings to various low-level system APIs (often non-portable)
  which are not covered by Unix module.
  .
@@ -42,7 +42,7 @@
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
-Description: Extended functions for OCaml Unix module
+Description: Extended functions for OCaml Unix module (runtime package)
  Thin bindings to various low-level system APIs (often non-portable)
  which are not covered by Unix module.
  .

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,11 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/libextunix-ocaml-dev'
+	ocaml setup.ml -configure \
+		--prefix /usr \
+		--destdir '$(DESTDIR)' \
+		--docdir '/usr/share/doc/libextunix-ocaml-dev' \
+		--enable-tests
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

## ocaml-extunix 0.0.6

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,5 @@
 .PHONY: release
 release:
 	git tag -a -m $(VERSION) v$(VERSION)
-	git archive --prefix=$(NAME)/ v$(VERSION) | tar --delete $(NAME)/web | gzip > $(NAME).tar.gz
+	git archive --prefix=$(NAME)/ v$(VERSION) | gzip > $(NAME).tar.gz
 	gpg -a -b $(NAME).tar.gz
-

=== debian/changelog ===
ocaml-extunix (0.0.6-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:39 +0000

ocaml-extunix (0.0.6-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * new upstream version
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update Vcs fields, dependencies and package description
  * update copyright
  * add patch fix-test-32-bit to compile and run tests on 32 bit OCaml
  * install api documentation in /usr/share/doc/libextunix-ocaml-dev/api/html
    and use dh_ocamldoc
  * update description of execinfo patch

 -- Hendrik Tews <hendrik@askra.de>  Thu, 13 Jun 2013 15:42:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,26 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
-  Sylvain Le Gall <gildor@debian.org>
+Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
+  ocaml-best-compilers,
   ocaml-findlib,
-  ocaml-base-nox,
   libounit-ocaml-dev (>= 1.0.2),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
+  debhelper (>= 9),
   camlp4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://extunix.forge.ocamlcore.org/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-extunix.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-extunix.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-extunix.git
 
 Package: libextunix-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends:
+ ${ocaml:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Extended functions for OCaml Unix module (development package)
@@ -37,6 +39,9 @@
   * eventfd
   * signalfd
   * ...
+ .
+ This package contains the compiled modules for programming with the
+ library.
 
 Package: libextunix-ocaml
 Architecture: any

## ocaml-extunix 0.1.0

=== debian/changelog ===
ocaml-extunix (0.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Update 0001-Add-possibility-to-disable-execinfo-test-through-env.patch
    - Remove fix-text-32-bit.patch (fixed upstream).
  * Add myself to Uploaders.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 May 2014 20:36:54 +0200

## ocaml-extunix 0.1.1

=== debian/changelog ===
ocaml-extunix (0.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 19 Jul 2015 23:46:54 +0000

## ocaml-extunix 0.1.3

=== debian/changelog ===
ocaml-extunix (0.1.3-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches.
  * Install .cmt and .annot files in -dev package

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 18 Jan 2016 00:37:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Uploaders:
+ Hendrik Tews <hendrik@askra.de>,
+ Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=175 .*/ocaml-extunix-(.*)\.tar\.gz
# Upstream repository:
#   http://forge.ocamlcore.org/anonscm/git/extunix/extunix.git
#   http://forge.ocamlcore.org/scm/browser.php?group_id=175

## ocaml-extunix 0.1.5

=== debian/changelog ===
ocaml-extunix (0.1.5-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:36:11 +0200

ocaml-extunix (0.1.5-2) unstable; urgency=medium

  * Team upload
  * Fix installation on bytecode architectures (Closes: #868721)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 15:44:09 +0200

ocaml-extunix (0.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch upstream homepage to github
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.0.0
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 18:35:08 +0200

ocaml-extunix (0.1.3-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:22:35 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
   ocaml-findlib,
   libounit-ocaml-dev (>= 1.0.2),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
+  debhelper (>= 10),
+  ocamlbuild,
   camlp4
-Standards-Version: 3.9.4
-Homepage: http://extunix.forge.ocamlcore.org/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-extunix.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-extunix.git
+Standards-Version: 4.0.0
+Homepage: https://github.com/ygrek/extunix
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
 
 Package: libextunix-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+#export DH_OPTIONS=-v
 
 DESTDIR=$(CURDIR)/debian/tmp
 
@@ -18,14 +19,14 @@
 endif
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	ocaml setup.ml -configure \
 		--prefix /usr \
 		--destdir '$(DESTDIR)' \
-		--docdir '/usr/share/doc/libextunix-ocaml-dev' \
+		--docdir '$(DESTDIR)/usr/share/doc/libextunix-ocaml-dev/api/html' \
 		--enable-tests
 
 .PHONY: override_dh_auto_build

## ocaml-extunix 0.1.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
 
 SETUP = ocaml setup.ml
 
@@ -12,7 +12,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -24,13 +24,16 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
+	$(SETUP) -configure $(CONFIGUREFLAGS)
+
+configure:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
 .PHONY: build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
ocaml-extunix (0.1.6-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields
  * Fix docdir option passed to configure script

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 13:53:22 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
   camlp4
 Standards-Version: 4.0.0
 Homepage: https://github.com/ygrek/extunix
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-extunix.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-extunix.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-extunix
 
 Package: libextunix-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	ocaml setup.ml -configure \
 		--prefix /usr \
 		--destdir '$(DESTDIR)' \
-		--docdir '$(DESTDIR)/usr/share/doc/libextunix-ocaml-dev/api/html' \
+		--docdir '/usr/share/doc/libextunix-ocaml-dev/api/html' \
 		--enable-tests
 
 .PHONY: override_dh_auto_build

## ocaml-extunix 0.2.0

=== debian/changelog ===
ocaml-extunix (0.2.0-1) unstable; urgency=medium

  * Team upload
  * Remove Hendrik from Uploaders
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 10:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Hendrik Tews <hendrik@askra.de>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-best-compilers,
-  ocaml-findlib,
-  libounit-ocaml-dev (>= 1.0.2),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 10),
-  ocamlbuild,
-  camlp4
-Standards-Version: 4.0.0
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-findlib,
+ libounit-ocaml-dev,
+ libmigrate-parsetree-ocaml-dev,
+ ocamlbuild,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ygrek/extunix
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-extunix.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-extunix

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 %:
 	dh $@ --with ocaml
 
-.PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	ocaml setup.ml -configure \
 		--prefix /usr \
@@ -29,25 +28,19 @@
 		--docdir '/usr/share/doc/libextunix-ocaml-dev/api/html' \
 		--enable-tests
 
-.PHONY: override_dh_auto_build
 override_dh_auto_build:
 	ocaml setup.ml -build
 	ocaml setup.ml -doc
 
-.PHONY: override_dh_auto_test
 override_dh_auto_test:
 	ocaml setup.ml -test
 
-.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(DESTDIR)/usr/bin'
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	ocaml setup.ml -install 
+	ocaml setup.ml -install
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
-
-.PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+override_dh_dwz:

=== debian/watch ===
version=3
https://github.com/ygrek/extunix/releases .*/ocaml-extunix-(.+)\.tar\.gz

## ocaml-extunix 0.3.2

=== Makefile ===
build:
	dune build @install

clean:
	dune clean

doc:
	dune build @doc

test:
	dune runtest

VERSION=0.3.2
NAME=ocaml-extunix-$(VERSION)

release:
	git tag -a -m $(VERSION) v$(VERSION)
	git archive --prefix=$(NAME)/ v$(VERSION) | gzip > $(NAME).tar.gz
	gpg -a -b $(NAME).tar.gz -o $(NAME).tar.gz.asc

dune-release:
	dune-release tag
	dune-release

.PHONY: build clean doc release dune-release test

=== debian/changelog ===
ocaml-extunix (0.3.2-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:15:50 +0100

ocaml-extunix (0.3.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 00:21:45 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

ifneq (,$(findstring $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),arm powerpc))
   export DISABLE_EXECINFO=1
endif

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p extunix

override_dh_auto_test:
	dune runtest -p extunix

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/ygrek/extunix/releases .*/ocaml-extunix-(.+)\.tar\.gz

## ocaml-extunix 0.4.0

=== debian/changelog ===
ocaml-extunix (0.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 14:31:24 +0100

## ocaml-extunix 0.4.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 test:
 	dune runtest
 
-VERSION=0.3.2
+VERSION=0.4.0
 NAME=ocaml-extunix-$(VERSION)
 
 release:

=== debian/changelog ===
ocaml-extunix (0.4.1-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:14:02 +0100

ocaml-extunix (0.4.1-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:39:52 +0200

ocaml-extunix (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:04:18 +0200

ocaml-extunix (0.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 09:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
- ocaml-findlib,
- libounit-ocaml-dev,
- libmigrate-parsetree-ocaml-dev,
- ocamlbuild,
- dh-ocaml
-Standards-Version: 4.5.0
+ ocaml,
+ ocaml-dune,
+ libdune-ocaml-dev,
+ libppxlib-ocaml-dev (>= 0.18),
+ libounit-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ygrek/extunix
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-extunix.git
@@ -49,6 +49,7 @@
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
+Suggests: ocaml-findlib
 Description: Extended functions for OCaml Unix module (runtime package)
  Thin bindings to various low-level system APIs (often non-portable)
  which are not covered by Unix module.

=== debian/watch ===
version=4
https://github.com/ygrek/extunix/tags .*/v?(.+)\.tar\.gz

## ocaml-extunix 0.4.2

=== debian/changelog ===
ocaml-extunix (0.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 19:07:19 +0200

ocaml-extunix (0.4.1-7) unstable; urgency=medium

  * Team upload
  * Make sure splice stub works on all architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 22:07:34 +0200

ocaml-extunix (0.4.1-6) unstable; urgency=medium

  * Team upload
  * Fix type of offset arguments to splice

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 19:47:47 +0200

ocaml-extunix (0.4.1-5) unstable; urgency=medium

  * Team upload
  * Fix conversion to pointer in C stubs (Closes: #1078218)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 18:48:22 +0200

ocaml-extunix (0.4.1-4) unstable; urgency=medium

  * Team upload
  * Depend on libfindlib-ocaml (for bytes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jun 2024 08:46:41 +0200

## ocaml-extunix 0.4.3

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 test:
 	dune runtest
 
-VERSION=0.4.0
+VERSION=0.4.2
 NAME=ocaml-extunix-$(VERSION)
 
 release:

=== debian/changelog ===
ocaml-extunix (0.4.3-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:12:58 +0100

ocaml-extunix (0.4.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 13:59:21 +0100

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ygrek/extunix/releases?per_page=50 \
https://github.com/ygrek/extunix/releases/download/[^/]+/extunix-@ANY_VERSION@.tbz

## ocaml-extunix 0.4.4

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 test:
 	dune runtest
 
-VERSION=0.4.2
+VERSION=0.4.4
 NAME=ocaml-extunix-$(VERSION)
 
 release:

=== debian/changelog ===
ocaml-extunix (0.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Sep 2025 00:39:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
- libppxlib-ocaml-dev (>= 0.18),
+ libfindlib-ocaml,
+ libppxlib-ocaml-dev (>= 0.36.0),
  libounit-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ygrek/extunix
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-extunix.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

ifneq (,$(findstring $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),arm powerpc))
   export DISABLE_EXECINFO=1
endif

%:
	dh $@ --with ocaml --buildsystem ocaml_dune
